angular.module('hd.comments', [])
    .factory('Comments', function($http, Settings) {
        return {
            getComments: function(ticketId, callback) {
                $http.get(Settings.getRequestUrl("/api/comments/" + ticketId)).then(function(resp) {
                        callback(resp.data);
                    },
                    function(err) {});
            },
            addComment: function(comment, ticketId, callback) {
                $http.post(Settings.getRequestUrl("/api/comment"), { id: ticketId, body: comment.body, forTechsOnly: comment.techsOnly })
                    .success(function() {
                        callback();
                    });
            }
        }
    })
