app.controller('SettingsCtrl', function($scope, $rootScope, $ionicHistory, $ionicPopup, Settings) {
    $scope.settings = Settings.getSettings();

    $scope.saveSettings = function(settings) {
        Settings.saveSettings(settings).then(function() {
            $rootScope.$broadcast('settingsChanged', '');
            $ionicHistory.goBack(-1);
        }, function(error) {
            var errorText = error.statusText;
            if (error.status == 0)
                errorText = "This server is not accessible. Most likely the URL you entered is incorrect";

            $ionicPopup.alert({
                title: 'Error',
                template: errorText
            });
        });
    };
});
